#pragma once

#include "stdafx.h"
#include "typedef.h"
#include <glut.h>

// This class draws a polyine.
class Polyline_drawer
{
 public:
    Polyline_drawer() {}
    Polyline_drawer(const Polyline_2& poly, float red, float green, float blue) 
        : _polygons(poly), _red(red), _green(green), _blue(blue){}
	
	// Calls the specific draw with the right parameters.
    void draw();
	
	template <typename ForwardIterator>
	void draw(ForwardIterator begin, ForwardIterator end, GLenum mode, float red, float green, float blue);

 private:

    Polyline_2 _polygons;
    float _red;
    float _green;
    float _blue;
};