#include "stdafx.h"
#include "operators.h"
#include <iostream>
#include <fstream>
#include <CGAL/IO/Arr_iostream.h>

Polygon_2 operator+(const Polygon_2& pol, const Vector_2& vec)
{
    Polygon_2 p;
    Polygon_2::Vertex_iterator it;
    for (it=pol.vertices_begin(); it!=pol.vertices_end(); it++)
    {
        p.push_back(*it + vec);
    }

    return p;
}

std::istream &operator>>(std::istream & is, Polygon_2& pl)
{
    pl.clear();
    int size;
    is >> size;
    for (int i=0; i<size; i++)
    {
        //Double_point_2 p;
		Point_2 p ;
        is >> p;
        //pl.push_back(Point_2(p.x(), p.y()));
		pl.push_back(p);
    }

    return is;
}

std::istream &operator>>(std::istream & is, Polyline_2& pl)
{
    pl.clear();
    int size;
    is >> size;
    for (int i=0; i<size; i++)
    {
        Point_2 p;
        is >> p;
        pl.push_back(p);
    }

    return is;
}