#include "stdafx.h"
#include "Polyline_drawer.h"

void Polyline_drawer::draw()
{
	draw(_polygons.begin(), _polygons.end(), GL_LINE_STRIP, _red, _green, _blue);
}

template <typename ForwardIterator>
void Polyline_drawer::draw(ForwardIterator begin, ForwardIterator end, GLenum mode, float red, float green, float blue)
{
    glBegin(mode);
    glColor3f(red, green, blue);
    
    ForwardIterator it;
    for (it=begin; it!=end; it++)
    {
        glVertex2f(it->x().to_double(), it->y().to_double());
    }
    
    glEnd();
}